Subject: [DNSOP] Protocol Action: 'NSEC and NSEC3 TTLs and NSEC Aggressive Use' to Proposed Standard (draft-ietf-dnsop-nsec-ttl-05.txt)

From: The IESG <[email-masked]>
Date: Mon, 24 May 2021 09:01:59 -0700

The IESG has approved the following document:
- 'NSEC and NSEC3 TTLs and NSEC Aggressive Use'
  (draft-ietf-dnsop-nsec-ttl-05.txt) as Proposed Standard

This document is the product of the Domain Name System Operations Working
Group.

The IESG contact persons are Warren Kumari and Robert Wilton.

A URL of this Internet Draft is:
https://datatracker.ietf.org/doc/draft-ietf-dnsop-nsec-ttl/

Technical Summary

   Due to a combination of unfortunate wording in earlier documents,
   aggressive use of NSEC(3) records may deny names far beyond the
  intended lifetime of a denial.  This document changes the definition
  of the NSEC(3) TTL to correct that situation.  This document updates
  RFC 4034, RFC 4035, and RFC 5155.

Working Group Summary

   Working group consensus was strong.

Document Quality

  The document clearly describes the issues/lack of clarity in existing documents, and contains fixes.
  It updates a number of RFCs, and clearly states the original and replacement text. 

Personnel

   Document Shepherd:  Tim Wicinski
   RAD: Warren Kumari